-- =============================================
-- Author:		MOdified TRINGALI per FIDUCIARIA
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE   procedure [C6Mart].[GESTIONE_SELECT_HOST_GIORNALIERO]
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	--FTP
	SELECT
	(gpf.Rete + 
		case when gpf.CodiceFiscale like '%@%' then right(vc.piva_fiduciaria+'     ',16) 
			 when len(gpf.CodiceFiscale) = 11 then right(gpf.CodiceFiscale+'     ',16) 
             else gpf.CodiceFiscale  end   + right('00000000000' + vc.CodiceContratto,11) + 'LD' + CONVERT(VARCHAR(10), gpf.DataGenerazione, 112)) as riga
	FROM        C6Mart.GESTIONE_PDF_FTP gpf
	INNER JOIN C6Mart.VCONTRATTI vc
	ON vc.Rete = gpf.Rete
	and vc.COD_FISCALE = gpf.CodiceFiscale
	INNER JOIN  C6Mart.ANAG_CLIENTI 
	ON C6Mart.ANAG_CLIENTI.Rete = gpf.Rete
	and C6Mart.ANAG_CLIENTI.COD_FISCALE = gpf.CodiceFiscale
	where 1=1
	AND gpf.tiporeport = 'D'
	AND DATEDIFF(DAY,gpf.DataGenerazione,GETDATE()) = 0
	--Aggiunta Emanuele per inserire nel file delle commissioni
	--contratti da un determinato giorno
	--AND DataGenerazione > '20140127'
	-----------------------------------------
	--AND gpf.DataGenerazione BETWEEN '20140124' and '20140125'
	--Fine Aggiunta Emanuele
   	AND vc.Data_FineAvanzato > getDate()
   	AND vc.Cod_Fiscale +  vc.Rete NOT IN (SELECT COD_FISCALE + RETE FROM C6MART.TEST_QUALITY)
    AND vc.COD_AGENTE <> '015312'
	--Aggiunta Emanuele	
 	--ORDER BY DataGenerazione, gpf.Rete, gpf.CodiceFiscale
 	--Fine Aggiunta Emanuele
END